Bug 39013 - Orientation button at the top out of sync with the canvas
Summary: Orientation button at the top out of sync with the canvas
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: iOS Designer (show other bugs)
Version: 7.1 (d15-3)
Hardware: Macintosh Mac OS
: High normal
Target Milestone: master
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-02-22 19:55 UTC by Matt Samet
Modified: 2017-10-04 21:39 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Matt Samet 2016-02-22 19:55:11 UTC
I have a storyboard with several view controllers that I've been editing in Xcode interface builder.

I recently opened the storyboard in the iOS Designer, and the orientation button at the top (view as landscape/portrait) was out of sync with the canvas.  ViewControllers were shown as portrait, while the button showed landscape.  

I clicked it to toggle portrait, and reloaded the iOS Designer.  It appeared to fix itself - I then noticed the storyboard diff was changed, this line was added at the bottom inside the simulatedMetricsContainer tag:  
<simulatedOrientationMetrics key="orientation"/>

Xamarin Studio 5.10.2, Mac OS X 10.10.5
Comment 1 Amy Burns 2017-07-18 21:40:18 UTC
Thanks so much for taking the time to submit this report! I can confirm using the latest Visual Studio 2017 for Mac Preview version 7.1 I am able to reproduce this issue. Marking this report as CONFIRMED.


=== Visual Studio Enterprise 2017 for Mac (Preview) ===

Version 7.1 Preview (7.1 build 1281)
Installation UUID: f7f6f134-fea8-4ebb-ac52-2948e717fb50
Runtime:
	Mono 5.2.0.209 (2017-04/3d531ba) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 502000209

=== NuGet ===

Version: 4.3.0.2418

=== .NET Core ===

Runtime: /usr/local/share/dotnet/dotnet
Runtime Versions:
	1.1.1
	1.0.4
	1.0.2
SDK: /usr/local/share/dotnet/sdk/1.0.3/Sdks
SDK Versions:
	1.0.3
	1.0.0-preview2-003148
MSBuild SDKs: /Library/Frameworks/Mono.framework/Versions/5.2.0/lib/mono/msbuild/15.0/bin/Sdks

=== Xamarin.Profiler ===

Version: 1.5.5
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Apple Developer Tools ===

Xcode 8.3.3 (12175.1)
Build 8E3004b

=== Xamarin.iOS ===

Version: 10.12.0.14 (Visual Studio Enterprise)
Hash: bf350ba5
Branch: d15-3
Build date: 2017-07-05 11:08:04-0400

=== Xamarin.Android ===

Version: 7.4.0.15 (Visual Studio Enterprise)
Android SDK: /Users/amyb/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		4.0.3 (API level 15)
		4.4   (API level 19)
		5.0   (API level 21)
		6.0   (API level 23)

SDK Tools Version: 25.2.5
SDK Platform Tools Version: 25.0.5
SDK Build Tools Version: 25.0.3

Java SDK: /usr
java version "1.8.0_101"
Java(TM) SE Runtime Environment (build 1.8.0_101-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.101-b13, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin.Mac ===

Version: 3.6.0.13 (Visual Studio Enterprise)

=== Xamarin Inspector ===

Version: 1.2.2
Hash: b71b035
Branch: d15-1
Build date: Fri, 21 Apr 2017 17:57:12 GMT

=== Build Information ===

Release ID: 701001281
Git revision: cc3abfe9b515ed0e209041e00d3ea239e8e33df9
Build date: 2017-07-10 21:15:50-04
Xamarin addins: 73710b74251e471826f2d9981d3a2bee6c4e78ad
Build lane: monodevelop-lion-d15-3

=== Operating System ===

Mac OS X 10.12.5
Darwin 16.6.0 Darwin Kernel Version 16.6.0
    Fri Apr 14 16:21:16 PDT 2017
    root:xnu-3789.60.24~6/RELEASE_X86_64 x86_64

=== Enabled user installed addins ===

AddinMaker 1.3.7
Manifest.addin 0.0.0.0
Comment 2 Alex Corrado [MSFT] 2017-08-10 18:33:36 UTC
We're currently working on improvements in this area.
Comment 3 Alex Corrado [MSFT] 2017-10-04 21:39:19 UTC
Fixed as part of https://github.com/xamarin/designer/pull/183